Skip to main content
GET
/
api
/
skills
/
{skillId}
/
versions
cURL
curl -X GET "https://app.cotool.ai/api/skills/:skillId/versions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
import requests

url = "https://app.cotool.ai/api/skills/{skillId}/versions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.cotool.ai/api/skills/{skillId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/skills/{skillId}/versions")
.header("Authorization", "Bearer <token>")
.asString();
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://app.cotool.ai/api/skills/{skillId}/versions"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "skillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "version": 123,
    "createdByUserId": "<string>",
    "createdAt": "<string>"
  }
]
{
"error": "<string>",
"issues": [
{}
]
}
{
"error": "<string>"
}
{
"error": "<string>",
"missingPerms": [
"<string>"
]
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Path Parameters

skillId
string<uuid>
required

Unique identifier for the skill

Response

Successful response

id
string<uuid>
required

Unique identifier for the skill version

skillId
string<uuid>
required

Parent skill ID

version
integer
required

Monotonic version number for the skill

createdByUserId
string | null
required

User who created this version, if available

createdAt
string
required

Timestamp when this version was created